
const CONSTANT = {
    websocketPorts: {
        realmonitor: {
            ws: 9100,
            wss: 9102
        },
        playback: {
            ws: 9320,
            wss: 9322
        }
    },
    errorInfo: {
        101: "播放延时大于8s",
        201: "当前音频无法播放",
        202: "websocket连接错误",
        203: "文件播放完成",
        404: "RTSP文件未找到",
        457: "时间设置错误",
        503: "SETUP服务不可用",
        504: "对讲服务不可用",
        defaultErrorMsg: "播放失败，请检查配置"
    }
}

export default CONSTANT