/*
 * @Author: your name
 * @Date: 2022-01-08 16:08:30
 * @LastEditTime: 2022-01-11 09:48:18
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \goldenPig\src\views\basic-data\archives-admin\config\modal.config.js
 */
export const modalItemProp = [
  {
    label: '名称：',
    type: 'input',
    field: 'farmName',
    placeholder: '请输入名称',
    rules: [{ required: true, message: '名称不能为空', trigger: 'blur' }]
  },
  {
    label: '位置：',
    type: 'custom',
    field: 'location',
    slotName: 'location',
    placeholder: '请选择位置',
    rules: [{ required: true, message: '位置不能为空', trigger: 'change'}]
  },
  {
    label: '企业类型：',
    type: 'select',
    field: 'type',
    placeholder: '请选择企业类型',
    options: [
      {
        label: '屠宰企业',
        value: 1
      },
      {
        label: '养殖企业',
        value: 2
      },
      {
        label: '检疫机构',
        value: 3
      }
    ],
    rules: [{ required: true, message: '企业类型不能为空', trigger: 'change'}]
  },
]
